diff -ru lua-5.3.0/Makefile lua-5.3.0.new/Makefile
--- lua-5.3.0/Makefile	2012-05-17 16:05:54.000000000 +0200
+++ lua-5.3.0.new/Makefile	2012-09-12 22:39:07.162748096 +0200
@@ -52,7 +52,7 @@
 all:	$(PLAT)
 
 $(PLATS) clean:
-	cd src && $(MAKE) $@
+	cd src && $(MAKE) $@ V=$(V) R=$(R)
 
 test:	dummy
 	src/lua -v
diff -ru lua-5.3.0/src/luaconf.h lua-5.3.0.new/src/luaconf.h
--- lua-5.3.0/src/luaconf.h	2012-05-11 16:14:42.000000000 +0200
+++ lua-5.3.0.new/src/luaconf.h	2012-09-12 22:40:27.986622772 +0200
@@ -176,7 +176,7 @@
 #else			/* }{ */

-#define LUA_ROOT	"/usr/local/"
+#define LUA_ROOT	"/usr/"
 #define LUA_LDIR	LUA_ROOT "share/lua/" LUA_VDIR "/"
 #define LUA_CDIR	LUA_ROOT "lib/lua/" LUA_VDIR "/"
 #define LUA_PATH_DEFAULT  \

diff -ru lua-5.3.0/src/Makefile lua-5.3.0.new/src/Makefile
--- lua-5.3.0/src/Makefile	2012-03-09 17:32:16.000000000 +0100
+++ lua-5.3.0.new/src/Makefile	2012-09-12 22:38:08.591386896 +0200
@@ -29,6 +29,7 @@
 PLATS= aix ansi bsd freebsd generic linux macosx mingw posix solaris
 
 LUA_A=	liblua.a
+LUA_SO= liblua.so
 CORE_O=	lapi.o lcode.o lctype.o ldebug.o ldo.o ldump.o lfunc.o lgc.o llex.o \
 	lmem.o lobject.o lopcodes.o lparser.o lstate.o lstring.o ltable.o \
 	ltm.o lundump.o lvm.o lzio.o
@@ -43,7 +44,7 @@
 LUAC_O=	luac.o
 
 ALL_O= $(BASE_O) $(LUA_O) $(LUAC_O)
-ALL_T= $(LUA_A) $(LUA_T) $(LUAC_T)
+ALL_T= $(LUA_A) $(LUA_T) $(LUAC_T) $(LUA_SO)
 ALL_A= $(LUA_A)
 
 # Targets start here.
@@ -59,6 +60,12 @@
 	$(AR) $@ $(BASE_O)
 	$(RANLIB) $@
 
+$(LUA_SO): $(CORE_O) $(LIB_O)
+	$(CC) -shared -ldl -Wl,-soname,$(LUA_SO).$(V) -o $@.$(R) $? -lm $(MYLDFLAGS)
+	ln -sf $(LUA_SO).$(R) $(LUA_SO).$(V)
+	ln -sf $(LUA_SO).$(R) $(LUA_SO)
+
+
 $(LUA_T): $(LUA_O) $(LUA_A)
 	$(CC) -o $@ $(LDFLAGS) $(LUA_O) $(LUA_A) $(LIBS)
 
